### Enumeration

# Cogl DepthTestFunction

#### Declaration

    enum Cogl.DepthTestFunction

#### Description [src]

When using depth testing one of these functions is used to compare the depth of an incoming fragment against the depth value currently stored in the depth buffer. The function is changed using cogl_depth_state_set_test_function().

The test is only done when depth testing is explicitly enabled. (See cogl_depth_state_set_test_enabled()).

#### Members

`COGL_DEPTH_TEST_FUNCTION_NEVER`

  Never passes.

  - Value: `512`
  - Available since: 16
`COGL_DEPTH_TEST_FUNCTION_LESS`

  Passes if the fragment’s depth value is less than the value currently in the depth buffer.

  - Value: `513`
  - Available since: 16
`COGL_DEPTH_TEST_FUNCTION_EQUAL`

  Passes if the fragment’s depth value is equal to the value currently in the depth buffer.

  - Value: `514`
  - Available since: 16
`COGL_DEPTH_TEST_FUNCTION_LEQUAL`

  Passes if the fragment’s depth value is less or equal to the value currently in the depth buffer.

  - Value: `515`
  - Available since: 16
`COGL_DEPTH_TEST_FUNCTION_GREATER`

  Passes if the fragment’s depth value is greater than the value currently in the depth buffer.

  - Value: `516`
  - Available since: 16
`COGL_DEPTH_TEST_FUNCTION_NOTEQUAL`

  Passes if the fragment’s depth value is not equal to the value currently in the depth buffer.

  - Value: `517`
  - Available since: 16
`COGL_DEPTH_TEST_FUNCTION_GEQUAL`

  Passes if the fragment’s depth value greater than or equal to the value currently in the depth buffer.

  - Value: `518`
  - Available since: 16
`COGL_DEPTH_TEST_FUNCTION_ALWAYS`

  Always passes.

  - Value: `519`
  - Available since: 16